> For the complete documentation index, see [llms.txt](https://docs.ionos.com/postgres-sdk-java/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/postgres-sdk-java/models/clusterbackup.md).

# ClusterBackup

A backup object.

## Properties

| Name                           | Type                                                                                                                   | Description                                               | Notes       |
| ------------------------------ | ---------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | ----------- |
| **id**                         | **String**                                                                                                             | The unique ID of the resource.                            | \[optional] |
| **clusterId**                  | **String**                                                                                                             | The unique ID of the cluster.                             | \[optional] |
| **version**                    | **String**                                                                                                             | The PostgreSQL version this backup was created from.      | \[optional] |
| **isActive**                   | **Boolean**                                                                                                            | Whether a cluster currently backs up data to this backup. | \[optional] |
| **earliestRecoveryTargetTime** | [**OffsetDateTime**](https://github.com/ionos-cloud/sdk-java-dbaas-postgres/blob/master/docs/models/OffsetDateTime.md) | The oldest available timestamp to which you can restore.  | \[optional] |
| **size**                       | **Integer**                                                                                                            | Size of all base backups including the wal size in MB.    | \[optional] |
| **location**                   | **String**                                                                                                             | The S3 location where the backups will be stored.         | \[optional] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-java/models/clusterbackup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
